DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ImageIsTIFF

Confirm that a file is a TIFF file (in dipIO)

## SYNOPSIS

`#include "dipio_tiff.h"`

dip_Error dipio_ImageIsTIFF ( filename, veredict )

## FUNCTION

This function verifies that the file is a TIFF file. `veredict` is set to `DIP_TRUE` if it is, and to `DIP_FALSE` if it isn't.

## ARGUMENTS

Data type | Name | Description
`dip_String` | `filename` | File name
`dip_Boolean *` | `veredict` | Set to `DIP_TRUE` or `DIP_FALSE`

## SOFTWARE

This function uses `libtiff` (version 3.6.1 or later), which supports the TIFF specification revision 6.0. Copyright (c)1988-1997 Sam Leffler and Copyright (c)1991-1997 Silicon Graphics, Inc.

## SEE ALSO

`ImageWriteTIFF`, `ImageReadTIFF`

DIPlib on-line documentation | Function reference | Global function index